org.apache.xmlbeans.impl.soap

## Interface SOAPBody

All Superinterfaces:
  Element, Node, SOAPElement

    public interface SOAPBody
    extends SOAPElement

An object that represents the contents of the SOAP body element in a SOAP message. A SOAP body element consists of XML data that affects the way the application-specific content is processed.

A `SOAPBody` object contains `SOAPBodyElement` objects, which have the content for the SOAP body. A `SOAPFault` object, which carries status and/or error information, is an example of a `SOAPBodyElement` object.

See Also:
  `SOAPFault`

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

All Methods Instance Methods Abstract Methods
`SOAPBodyElement` `addBodyElement(Name name)` Creates a new `SOAPBodyElement` object with the specified name and adds it to this `SOAPBody` object.
`SOAPBodyElement` `addDocument(Document document)` Adds the root node of the DOM `Document` to this `SOAPBody` object.
`SOAPFault` `addFault()` Creates a new `SOAPFault` object and adds it to this `SOAPBody` object.
`SOAPFault` `addFault(Name faultCode, String faultString)` Creates a new `SOAPFault` object and adds it to this `SOAPBody` object.
`SOAPFault` `addFault(Name faultCode, String faultString, Locale locale)` Creates a new `SOAPFault` object and adds it to this `SOAPBody` object.
`SOAPFault` `getFault()` Returns the `SOAPFault` object in this `SOAPBody` object.
`boolean` `hasFault()` Indicates whether a `SOAPFault` object exists in this `SOAPBody` object.

### Methods inherited from interface org.apache.xmlbeans.impl.soap.SOAPElement

`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, getVisibleNamespacePrefixes, removeAttribute, removeContents, removeNamespaceDeclaration, setEncodingStyle`

### Methods inherited from interface org.apache.xmlbeans.impl.soap.Node

`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### addFault

    SOAPFault addFault()
                throws SOAPException

Creates a new `SOAPFault` object and adds it to this `SOAPBody` object.

Returns:
  the new `SOAPFault` object
Throws:
  `SOAPException` - if there is a SOAP error

#### hasFault

    boolean hasFault()

Indicates whether a `SOAPFault` object exists in this `SOAPBody` object.

Returns:
  `true` if a `SOAPFault` object exists in this `SOAPBody` object; `false` otherwise

#### getFault

    SOAPFault getFault()

Returns the `SOAPFault` object in this `SOAPBody` object.

Returns:
  the `SOAPFault` object in this `SOAPBody` object

#### addBodyElement

    SOAPBodyElement addBodyElement(Name name)
                            throws SOAPException

Creates a new `SOAPBodyElement` object with the specified name and adds it to this `SOAPBody` object.

Parameters:
  `name` - a `Name` object with the name for the new `SOAPBodyElement` object
Returns:
  the new `SOAPBodyElement` object
Throws:
  `SOAPException` - if a SOAP error occurs

#### addFault

    SOAPFault addFault(Name faultCode,
                       String faultString,
                       Locale locale)
                throws SOAPException

Creates a new `SOAPFault` object and adds it to this `SOAPBody` object. The new `SOAPFault` will have a `faultcode` element that is set to the `faultCode` parameter and a `faultstring` set to `faultstring` and localized to `locale`.

Parameters:
  `faultCode` - a `Name` object giving the fault code to be set; must be one of the fault codes defined in the SOAP 1.1 specification and of type QName
  `faultString` - a `String` giving an explanation of the fault
  `locale` - a `Locale` object indicating the native language of the `faultString`
Returns:
  the new `SOAPFault` object
Throws:
  `SOAPException` - if there is a SOAP error

#### addFault

    SOAPFault addFault(Name faultCode,
                       String faultString)
                throws SOAPException

Creates a new `SOAPFault` object and adds it to this `SOAPBody` object. The new `SOAPFault` will have a `faultcode` element that is set to the `faultCode` parameter and a `faultstring` set to `faultstring`.

Parameters:
  `faultCode` - a `Name` object giving the fault code to be set; must be one of the fault codes defined in the SOAP 1.1 specification and of type QName
  `faultString` - a `String` giving an explanation of the fault
Returns:
  the new `SOAPFault` object
Throws:
  `SOAPException` - if there is a SOAP error

#### addDocument

    SOAPBodyElement addDocument(Document document)
                         throws SOAPException

Adds the root node of the DOM `Document` to this `SOAPBody` object.

Calling this method invalidates the `document` parameter. The client application should discard all references to this `Document` and its contents upon calling `addDocument`. The behavior of an application that continues to use such references is undefined.

Parameters:
  `document` - the `Document` object whose root node will be added to this `SOAPBody`
Returns:
  the `SOAPBodyElement` that represents the root node that was added
Throws:
  `SOAPException` - if the `Document` cannot be added